/*
   This program shows that 2s-complement addition is
   exactly the same as unsigned binary addition.
*/
#include <stdio.h>
#include <stdlib.h>

int main (int argc, char* argv[])
{
   int x = 243;       // 2s-complement
   int y = -26;       // 2s-complement

   // The following line is the translation into C of
   // formula (2.11), page 69, from the CS:APP textbook.
   int u = (int)( (unsigned int)x + (unsigned int)y );

   int v = x + y;

   printf("u = %d, v = %d\n", u, v); // see the result

   return 0;
}
