/*
   This program shows a clever way to speed up some multiplications.

   See Section 2.3.6, pages 101-103, from the CS:APP textbook.
*/
#include <stdio.h>
#include <stdlib.h>

int main (int argc, char* argv[])
{
   int x = 25;
   int u = 3 * x;
   int v = (x << 2) - x; // a shift and a subtraction is
                         // much quicker than a multiplication

   printf("u = %d, v = %d\n", u, v); // see the result

   return 0;
}
